Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class Project

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
          org.gradle.plugins.ide.eclipse.model.Project

    class Project
    extends XmlPersistableConfigurationObject

Represents the customizable elements of an eclipse project file. (via XML hooks everything is customizable).

Field Summary
`static String` | `PROJECT_FILE_NAME`

Property Summary
`List` | `buildCommands` The build commands to be added to this Eclipse project.
`String` | `comment` A comment used for the eclipse project
`Set` | `linkedResources` The linkedResources to be added to this Eclipse project.
`String` | `name` The name used for the name of the eclipse project
`List` | `natures` The natures to be added to this Eclipse project.
`Set` | `referencedProjects` The referenced projects of this Eclipse project.

Constructor Summary
`Project(XmlTransformer xmlTransformer)`

Method Summary
`def` | `configure(EclipseProject eclipseProject)`
`boolean` | `equals(def o)`
`protected String` | `getDefaultResourceName()`
`int` | `hashCode()`
`protected void` | `load(Node xml)`
`protected void` | `store(Node xml)`
`String` | `toString()`

Field Detail

### PROJECT_FILE_NAME

    public static final String PROJECT_FILE_NAME

Property Detail

### buildCommands

    List buildCommands

  The build commands to be added to this Eclipse project.

### comment

    String comment

  A comment used for the eclipse project

### linkedResources

    Set linkedResources

  The linkedResources to be added to this Eclipse project.

### name

    String name

  The name used for the name of the eclipse project

### natures

    List natures

  The natures to be added to this Eclipse project.

### referencedProjects

    Set referencedProjects

  The referenced projects of this Eclipse project.

Constructor Detail

### Project

    Project(XmlTransformer xmlTransformer)

Method Detail

### configure

    def configure(EclipseProject eclipseProject)

### equals

    boolean equals(def o)

### getDefaultResourceName

    @Override
    protected String getDefaultResourceName()

### hashCode

    int hashCode()

### load

    @Override
    protected void load(Node xml)

### store

    @Override
    protected void store(Node xml)

### toString

    String toString()

Gradle API 1.10